package com.brilliance.mda.runtime.mda.util;

import com.brilliance.mda.runtime.mda.util.MdaUtils;

/**
 * 数据源切换工具
 */
public class DataSourceUtil {
    /**
     * 默认数据源
     */
    //TODO 这里默认数据源需要动态生成
    public static final String DEFAULT_DS = "eibs";
    /**
     *  数据源属于一个公共的资源
     *  采用可以保证在多线程情况下线程隔离
     */
    private static final ThreadLocal<String> contextHolder = new ThreadLocal<>();

    /**
     * 设置数据源名
     * @param dbType
     */
    public static void setDB(String dbType) {
        contextHolder.set(dbType);
    }

    /**
     * 获取数据源名
     * @return
     */
    public static String getDB() {
        String dbName= (contextHolder.get()) ;
        if(MdaUtils.isEmpty(dbName))
            return DEFAULT_DS;
        return dbName;
    }

    /**
     * 清除数据源名
     */
    public static void clearDB() {
        contextHolder.remove();
    }
}